Vault API
Routers
Section titled “Routers”router→ prefix/api/resource/Secret(tags: Secret)method_router→ prefix/api/method(tags: Vault Methods)
Hand-maintained notes against modules/vault/router.go. Route inventory (generated): routes.md. Response models (generated): response-models/vault.md.
Router router
Section titled “Router router”| Method | Path | Permission |
|---|---|---|
GET | /api/resource/Secret | — |
POST | /api/resource/Secret | — |
DELETE | /api/resource/Secret/{key:path} | — |
GET | /api/resource/Secret/{key:path} | — |
PUT | /api/resource/Secret/{key:path} | — |
GET /api/resource/Secret
Section titled “GET /api/resource/Secret”- source:
modules/vault/router.go
POST /api/resource/Secret
Section titled “POST /api/resource/Secret”- source:
modules/vault/router.go
DELETE /api/resource/Secret/{key:path}
Section titled “DELETE /api/resource/Secret/{key:path}”- source:
modules/vault/router.go
GET /api/resource/Secret/{key:path}
Section titled “GET /api/resource/Secret/{key:path}”- source:
modules/vault/router.go
PUT /api/resource/Secret/{key:path}
Section titled “PUT /api/resource/Secret/{key:path}”- source:
modules/vault/router.go
Router method_router
Section titled “Router method_router”| Method | Path | Permission |
|---|---|---|
GET | /api/method/shc.vault.exists | — |
GET | /api/method/shc.vault.status | — |
POST | /api/method/shc.vault.unlock | — |
POST | /api/method/shc.vault.rotate | — |
POST | /api/method/shc.vault.migrate | — |
POST | /api/method/shc.vault.export | — |
POST | /api/method/shc.vault.import | — |
GET /api/method/shc.vault.exists
Section titled “GET /api/method/shc.vault.exists”- source:
modules/vault/router.go
GET /api/method/shc.vault.status
Section titled “GET /api/method/shc.vault.status”- source:
modules/vault/router.go
POST /api/method/shc.vault.unlock
Section titled “POST /api/method/shc.vault.unlock”- source:
modules/vault/router.go
POST /api/method/shc.vault.rotate
Section titled “POST /api/method/shc.vault.rotate”- summary: rotate the vault key-encryption key (KEK) and re-wrap stored secrets.
- source:
modules/vault/router.go
POST /api/method/shc.vault.migrate
Section titled “POST /api/method/shc.vault.migrate”- summary: migrate secrets to a different vault provider backend.
- source:
modules/vault/router.go
POST /api/method/shc.vault.export
Section titled “POST /api/method/shc.vault.export”- summary: export secrets (scoped) for backup / transfer.
- source:
modules/vault/router.go
POST /api/method/shc.vault.import
Section titled “POST /api/method/shc.vault.import”- summary: import a previously exported secret bundle.
- source:
modules/vault/router.go
Internal routes (/internal)
Section titled “Internal routes (/internal)”Peer / bootstrap routes on the internal listener (not the public API):
| Method | Path |
|---|---|
POST | /internal/vault/unlock |
POST | /internal/vault/rekey |
shc@docs:~$